package exampler.fitlibrary;

import junit.framework.TestCase;

public class InfiniteStreamTest extends TestCase {
    private RepeatingStream stream;

    public void setUp() {
        stream = new RepeatingStream(new String[] { "1", "2"});
    }

    public void testInfiniteRepeatsItsSource() {
        assertEquals("1", stream.next());
        assertEquals("2", stream.next());
        assertEquals("1", stream.next());
    }

    public void testCycle() {
        assertEquals(2, stream.cycle());

    }
}
